# Day 1: Intro to R
# Updated on: 2 Jan 2020

2 + 3
2 *3
2/3
3^2
(3+2)*5
5*4+3
7-3

# Create objects (R's memory buttons)
# -----------------------------------
M1 <- 3  # M1 'gets' 3
M1
# R is case sensitive:
m1 <- 300
m1
M1

total <- 3+7+9
total
M1 * total
rm(total) # to remove an object
total  # gone
M1     # still there

# Create vectors
# --------------
prm <- c(2,3,5,7,11,13,17,23,29,31,37,41)
prm
prm / 3

# A quick way to create sequences of numbers:
1:10
-3:9

sqrl <- c(26, 35, 29, 30) # Squirrel weights in ounces
sqrl
# 1 ounce = 28.6 grams
sqrl * 28.6
sqrl  # not changed
sqrl_gm <- sqrl * 28.6
  # You can use letters, numbers, "_" or "." in names,
  #    but must begin with a letter.

sum(sqrl_gm)
max(sqrl_gm)
min(sqrl_gm)
length(sqrl_gm)
mean(sqrl_gm)

?max # ? useful for function name

prm
prm[3:8] # [ ] indexing
prm[-9]  # [-9] -ve index
prm(3:8) # Error: () for functions, prm not a function!


# Data types
# ----------
vn <- c(3.4, 5.6, 7.8)  # numeric
vn
vc <- c("Gopal", "Lisa", 'Kuit')  # character
vc
vl <- c(TRUE, FALSE, TRUE)  # logical
vl

# A bit more about logical (Boolean) operations
prm == 5
prm < 5

# What happens if we try to mix data types?
c(1, 2, "Abdi", TRUE)

# Names for a vector
# ------------------
names(vn) <- c("Jan", "Feb", "Mar")
vn

islands  # A built-in data set in R
?islands
class(islands)
# Use names for indexing
islands["Borneo"]
islands[8]


# Packages
# --------
# There are over 15,000 add-on packages for R.
# To use a package you need to attach it with 'library'.
# Check that you can attach these 2 packages and look at the help files:

# 1. wiqid
library(wiqid) # You should get a message telling which version you have.
# If you get an error: there is no package called 'wiqid', you need to install it.
?wiqid

# 2. rjags
library(rjags) # You should get a  message saying "Linked to JAGS 4.3.0"
# If you get an error, you may have to install rjags or maybe JAGS
?rjags
